Subject: Re: [ANNOUNCE] GIT 0.99.9g

From: Andreas Ericsson <[email-masked]>
Date: Sat, 12 Nov 2005 12:37:21 +0100

H. Peter Anvin wrote:
> Andreas Ericsson wrote:
> 
>>>
>>> It's nice in concept, but I think there are a lot of reasons why this 
>>> is a bad idea:
>>>
>>> - "man" doesn't handle it.  It would be another thing if "man" could 
>>> be taught to understand commands like "man cvs checkout" or "man git 
>>> fetch".
>>
>>
>> This is moot. man-pages can still be named git-fetch.
>>
> 
> Yes, of course, but that requires the user to be aware of yet another 
> program-specific convention.  I do believe that supporting hierarchial 
> man pages would be a good thing, but one has to start that in the proper 
> point.
> 

Someone sent in a (broken) patch that pulls up the proper man-page for
	git help <command>

It's a rather good idea, so I'll be working it into the C implementation 
of git as soon as the core of it is implemented.

>>> - There is no general way to teach shells etc about it, for tab 
>>> completion etc.
>>
>>
>> Add the lib directory to the path (for git-<tab><tab>) or have it 
>> auto-evaluate the result of a git command-listing.
> 
> 
> ... which means the end user has to do something specific to their 
> environment.
> 
> All in all, I think the negatives outweigh the positives.
> 

Perhaps, but allowing the possibility of splitting them can't be wrong. 
When that's in place we only have to decide if we're going to or not.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231